Skip to content
Guides
Platform & IdentityStores
settings:update

Update checkout settings

Replaces only the current store's checkout settings.

PUT/v1/stores/settings/checkout

Replaces only the current store's checkout settings.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/v1/stores/settings/checkout" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "checkoutSettings": {      "general": {        "allowGuestCheckout": false,        "identityScope": "store"      },      "orderBumps": {        "allowOnlyOneAdditionalOffer": false,        "maxVisibleOffers": 1      },      "ordersAndPayments": {        "allowPurchasesFrom": "any",        "maximumItemsPerOrder": 1,        "deliveryNoteText": "Example note."      },      "abandonedCarts": {        "sendRecoveryEmail": false,        "delayHours": 1      }    }  }'
{  "id": "7204558912004325301",  "name": "Example resource",  "description": "Example description.",  "slug": "example-resource",  "domain": "example",  "logo": "example",  "favicon": "example",  "icon": "example",  "visibility": "public",  "timeZone": "America/Lima",  "currency": "PEN",  "language": "es",  "themeConfig": {    "name": "Example resource",    "mode": "example",    "colors": {      "key": "example"    },    "fonts": {      "key": "example"    },    "assets": {      "key": "example"    }  },  "featuresEnabled": {    "flags": {      "key": false    }  },  "checkoutSettings": {    "general": {      "allowGuestCheckout": false,      "identityScope": "store"    },    "orderBumps": {      "allowOnlyOneAdditionalOffer": false,      "maxVisibleOffers": 1    },    "ordersAndPayments": {      "allowPurchasesFrom": "any",      "maximumItemsPerOrder": 1,      "deliveryNoteText": "Example note."    },    "abandonedCarts": {      "sendRecoveryEmail": false,      "delayHours": 1    }  }}